> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get index source



## OpenAPI

````yaml /api/openapi.json get /api/indexes/{indexId}/sources/{sourceId}
openapi: 3.1.0
info:
  description: HTTP API for the Rootprint log management platform.
  title: Rootprint API
  version: 0.4.0
servers:
  - description: Rootprint API
    url: https://example.com
security:
  - cookieAuth: []
paths:
  /api/indexes/{indexId}/sources/{sourceId}:
    get:
      tags:
        - Index management
      summary: Get index source
      operationId: getApiIndexesByIndexIdSourcesBySourceId
      parameters:
        - in: path
          name: indexId
          required: true
          schema:
            minLength: 1
            type: string
        - in: path
          name: sourceId
          required: true
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceDetailSchema'
          description: Successful response
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    SourceDetailSchema:
      properties:
        clientLogLevel:
          anyOf:
            - type: string
            - type: 'null'
        clientParams:
          anyOf:
            - additionalProperties: {}
              propertyNames:
                type: string
              type: object
            - type: 'null'
        enableBackfillMode:
          anyOf:
            - type: boolean
            - type: 'null'
        enabled:
          type: boolean
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
        hasUnsupportedConfig:
          type: boolean
        inputFormat:
          anyOf:
            - type: string
            - type: 'null'
        messageType:
          anyOf:
            - type: string
            - type: 'null'
        numPipelines:
          anyOf:
            - type: number
            - type: 'null'
        queueUrl:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        sourceId:
          type: string
        sourceType:
          type: string
        streamName:
          anyOf:
            - type: string
            - type: 'null'
        topic:
          anyOf:
            - type: string
            - type: 'null'
        vrlScript:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - sourceId
        - sourceType
        - enabled
        - inputFormat
        - numPipelines
        - streamName
        - region
        - endpoint
        - queueUrl
        - messageType
        - topic
        - clientLogLevel
        - clientParams
        - enableBackfillMode
        - vrlScript
        - hasUnsupportedConfig
      type: object
    ApiErrorBody:
      properties:
        error:
          properties:
            code:
              type: string
            details:
              items:
                properties:
                  message:
                    type: string
                  path:
                    type: string
                required:
                  - path
                  - message
                type: object
              type: array
            message:
              type: string
            requestId:
              type: string
            statusCode:
              type: number
          required:
            - code
            - message
            - statusCode
            - requestId
          type: object
      required:
        - error
      type: object
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Request validation failed
    Unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Authentication required
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Permission denied
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Resource not found
    InternalError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Internal server error
    ServiceUnavailable:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Upstream service unavailable
  securitySchemes:
    cookieAuth:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````